V6P(8)

NAME
v6p - check if the kernel is IPv6 ready or not

SYNOPSIS
v6p

DESCRIPTION
v6p prints "v6" if the kernel supports IPv6, and "v4" if it does not. Also, the result will be returned as exit status, and therefore v6p can be very useful in if statement in shell scripts. There are no options.

RETURN VALUES
v6p exits with 0 if the kernel supports IPv6, with 1 if the kernel does not.

SEE ALSO
test(1)

HISTORY
The v6p command first appeared in WIDE hydrangea IPv6 protocol stack kit.